Bug 839508 - The devel packages in libdb4 conflict with the devel packages in libdb
The devel packages in libdb4 conflict with the devel packages in libdb
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libdb4 (Show other bugs)
rawhide
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
: 839778 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 03:08 EDT by Mattias Ellert
Modified: 2013-07-02 19:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: libdb4-4.8.30-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 09:33:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2012-07-12 03:08:30 EDT
Description of problem:

Both libdb-devel and libdb4-devel install a symlink %{_libdir}/libdb.so pointing to different targets. And similarly for the other devel packages. This results in a conflict and the packages can not be installed in parallel.

Version-Release number of selected component (if applicable):

libdb4-4.8.30-1.fc18

Additional info:

The unversioned symlinks in libdb4 should be moved to a subdirectory.

%{_libdir}/libdb4/libdb.so -> ../libdb-4.8.so

The libraries themselves and the versioned symlinks should stay in %{_libdir}.


PS. libdb4-cxx-devel is missing a requires on libdb4-devel. (The /usr/include/libdb4/db_cxx.h header contains #included "db.h".)
Comment 1 Jindrich Novy 2012-07-12 09:33:35 EDT
Fixed. Thanks for reporting!
Comment 2 Jindrich Novy 2012-07-12 16:24:11 EDT
*** Bug 839778 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.